title: 'Icon Selector'
fields:
  -
    handle: icon
    field:
      directory: public/images/icons/selectable
      type: icon
      display: Icon
      localizable: false
      listable: false
      sortable: false
      validate:
        - sometimes
        - required
      if:
        set_type: 'equals icon'
      width: 75
  -
    handle: icon_color
    field:
      swatches:
        - '#ce4b12'
        - '#004f59'
        - '#74afb7'
        - '#fcc134'
      allow_any: false
      default: '#ce4b12'
      type: color
      display: 'Icon color'
      localizable: false
      listable: false
      sortable: false
      validate:
        - sometimes
        - required
      if:
        set_type: 'equals icon'
      width: 25
